import Component from '@glimmer/component';
import { SafeString } from '@ember/template/-private/handlebars';
import '@cardstack/boxel/styles/global.css';
import './index.css';
interface ProgressCircleArgs {
    percentComplete: number;
    size: number;
}
export default class ProgressCircle extends Component<ProgressCircleArgs> {
    progressArcThickness: number;
    outerCircleRadius: number;
    innerCircleRadius: number;
    strokeCircleRadius: number;
    outerCircleDiameter: number;
    innerCircleDiameter: number;
    strokeCircleCircumference: number;
    size: number;
    get pieStyle(): SafeString;
    get progressArcLength(): number;
    get scale(): number;
    get fontSize(): number;
    get percentLabelDiameter(): number;
    get humanPercentComplete(): number;
}
export {};
